Can't get 12.4 update to take

Discussion in 'AMD Graphics Cards' started by drivehard454, May 18, 2012.

  1. drivehard454

    drivehard454 New Member

    Joined:
    Nov 26, 2006
    Messages:
    325
    Likes Received:
    5
    Trophy Points:
    0
    I just got Battlefield 3 and got set up to play. during loading of game, I get a message that I have driver 11.5 and B3 needs 11.7 to play properly. No problem, I went to AMD, found that 12.4 is the newest driver out. So I download, install, restart, go in CCC and it still says 11.5.

    OK, try again. same result.

    Went to device manager, switch to VGA graphic, opened control panel, add/remove, and uninstalled anything AMD. Restarted. Went to AMD downloaded driver 12.4 installed, restarted, still says I have 11.5.

    Battlefield still pops up with the same message.

    I have a saphire radeon HD 6570 1 gb card. W7. Rest of info is on the side there <-------.

    Am I missing something here?
     
  2. CDsDontBurn

    CDsDontBurn AMD & Petrol Heads Mod

    Joined:
    May 24, 2003
    Messages:
    25,596
    Likes Received:
    476
    Trophy Points:
    123
    1. Download Driver Sweeper (free and no longer supported by developer) or DH's Driver Cleaner ($10, but works significantly better)
    2. Download the 12.4 or older Driver
    3. Restart in Safe Mode (keep pressing the F8 key repeatedly before the Windows Splash Screen, you know the one with the 4 glowing orbs that turn into the Windows logo)
    4. Uninstall AMD driver from Control Panel like you did before
    5. Delete the C:\AMD folder, or C:\ATI folder, or both folders (if both are listed)
    6. Restart back in Safe Mode
    7. Run Driver Sweeper or Driver Cleaner
    8. Restart
    9. Install CAT 12.4
    10. Restart

    This should get you all patched up and ready to go.
     
    Last edited: May 18, 2012
  3. Dyre Straits

    Dyre Straits 10 Grandkids -2 Great-grandsons

    Joined:
    May 13, 2002
    Messages:
    19,328
    Likes Received:
    2,249
    Trophy Points:
    153
    Driver Packaging Version 8.961-120405a-137224C-ATI


    This is what my 12.4 installed CCC shows in the first line. What does yours show?

    There have been several reports that there's a bug in the install package that is showing outdated Catalyst Version information...even though the latest driver version has actually been installed.

    Have you tried playing the game again with this installation?
     
  4. IvanV

    IvanV HH Assassin Guild Member

    Joined:
    Dec 18, 2004
    Messages:
    10,896
    Likes Received:
    2,144
    Trophy Points:
    138
    Check what Dyre said. I've seen multiple reports that 12.4 were in fact installed, but the version number didn't get updated. :)
     
  5. drivehard454

    drivehard454 New Member

    Joined:
    Nov 26, 2006
    Messages:
    325
    Likes Received:
    5
    Trophy Points:
    0
    I checked driver packaging version. I have 8.961-120405a-137813C-ATI.

    Still says catalyst version 11.5.

    The game still played even when it was popping up the warning.

    And it still plays after trying to update.

    If I did infact have the 12.4 driver, wouldn't the game detect that and not give me the warning about the outdated driver?

    Thanks guys,

    I may still do as CDBurns suggested. After all this screwing around, along with trying to update other things now, I loaded the game and something is not jiving, It is not playing like it was.
     
  6. CDsDontBurn

    CDsDontBurn AMD & Petrol Heads Mod

    Joined:
    May 24, 2003
    Messages:
    25,596
    Likes Received:
    476
    Trophy Points:
    123
    You may also want to try the CAT 12.5 Beta driver instead of the 12.4. Or you can go through AMD's Driver Library and try a couple different drivers like the 11.12, 12.1, 12.2 or anything else you see that you think may work. You don't have to go through each of the drivers one by one in the fashion I explained above, just try it like 2 or 3 times with different drivers to see what happens and go from there.
     
  7. Dyre Straits

    Dyre Straits 10 Grandkids -2 Great-grandsons

    Joined:
    May 13, 2002
    Messages:
    19,328
    Likes Received:
    2,249
    Trophy Points:
    153
    That center section of the version is showing that you have a version that was created on April 5, 2012. And, the "a" shows it's a revision for that date. You have a very recent driver version installed even though the Catalyst Version line is showing 11.5. This is the "bug" I mentioned.
     
  8. Tyrsonswood

    Tyrsonswood HH's curmudgeon

    Joined:
    Mar 7, 2008
    Messages:
    13,558
    Likes Received:
    1,268
    Trophy Points:
    138
    Same thing happened last year I believe.
     

Share This Page

visited